# Generated by Django 3.1.13 on 2022-02-06 12:39

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('api', '0027_auto_20201113_2122'),
    ]

    operations = [
        migrations.CreateModel(
            name='Laverie',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('first_name', models.CharField(max_length=255, verbose_name='prénom')),
                ('last_name', models.CharField(max_length=255, verbose_name='nom')),
                ('tokens', models.PositiveIntegerField(verbose_name='jetons')),
                ('student_number', models.CharField(max_length=255, verbose_name='numéro étudiant')),
                ('rfid', models.CharField(max_length=255, verbose_name='nom')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('member_VA', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='api.member', verbose_name='membre VA')),
            ],
        ),
    ]
